## org.apache.lucene.index
Class FilterAtomicReader.FilterTermsEnum

    java.lang.Object
      org.apache.lucene.index.TermsEnum
          org.apache.lucene.index.FilterAtomicReader.FilterTermsEnum

All Implemented Interfaces:
  BytesRefIterator

Enclosing class:
  FilterAtomicReader

    public static class FilterAtomicReader.FilterTermsEnum

extends TermsEnum

Base class for filtering `TermsEnum` implementations.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.index.TermsEnum
`TermsEnum.SeekStatus`

Field Summary
`protected TermsEnum` `in` The underlying TermsEnum instance.

Fields inherited from class org.apache.lucene.index.TermsEnum
`EMPTY`

Constructor Summary
`FilterAtomicReader.FilterTermsEnum(TermsEnum in)` Creates a new FilterTermsEnum

Method Summary
`AttributeSource` `attributes()` Returns the related attributes.
`int` `docFreq()` Returns the number of documents containing the current term.
`DocsEnum` `docs(Bits liveDocs, DocsEnum reuse, int flags)` Get `DocsEnum` for the current term, with control over whether freqs are required.
`DocsAndPositionsEnum` `docsAndPositions(Bits liveDocs, DocsAndPositionsEnum reuse, int flags)` Get `DocsAndPositionsEnum` for the current term, with control over whether offsets and payloads are required.
`Comparator<BytesRef>` `getComparator()` Return the `BytesRef` Comparator used to sort terms provided by the iterator.
`BytesRef` `next()` Increments the iteration to the next `BytesRef` in the iterator.
`long` `ord()` Returns ordinal position for current term.
`TermsEnum.SeekStatus` `seekCeil(BytesRef text, boolean useCache)` Expert: just like `TermsEnum.seekCeil(BytesRef)` but allows you to control whether the implementation should attempt to use its term cache (if it uses one).
`void` `seekExact(long ord)` Seeks to the specified term by ordinal (position) as previously returned by `TermsEnum.ord()`.
`BytesRef` `term()` Returns current term.
`long` `totalTermFreq()` Returns the total number of occurrences of this term across all documents (the sum of the freq() for each doc that has this term).

Methods inherited from class org.apache.lucene.index.TermsEnum
`docs, docsAndPositions, seekCeil, seekExact, seekExact, termState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### in

    protected final TermsEnum in

  The underlying TermsEnum instance.

Constructor Detail

### FilterAtomicReader.FilterTermsEnum

    public FilterAtomicReader.FilterTermsEnum(TermsEnum in)

  Creates a new FilterTermsEnum

  Parameters:
    `in` - the underlying TermsEnum instance.

Method Detail

### attributes

    public AttributeSource attributes()

  Description copied from class: `TermsEnum`
  Returns the related attributes.

  Overrides:
    `attributes` in class `TermsEnum`

### seekCeil

    public TermsEnum.SeekStatus seekCeil(BytesRef text,
                                         boolean useCache)
                                  throws IOException

  Description copied from class: `TermsEnum`
  Expert: just like `TermsEnum.seekCeil(BytesRef)` but allows you to control whether the implementation should attempt to use its term cache (if it uses one).

  Specified by:
    `seekCeil` in class `TermsEnum`
  Throws:
    `IOException`

### seekExact

    public void seekExact(long ord)
                   throws IOException

  Description copied from class: `TermsEnum`
  Seeks to the specified term by ordinal (position) as previously returned by `TermsEnum.ord()`. The target ord may be before or after the current ord, and must be within bounds.

  Specified by:
    `seekExact` in class `TermsEnum`
  Throws:
    `IOException`

### next

    public BytesRef next()
                  throws IOException

  Description copied from interface: `BytesRefIterator`
  Increments the iteration to the next `BytesRef` in the iterator. Returns the resulting `BytesRef` or `null` if the end of the iterator is reached. The returned BytesRef may be re-used across calls to next. After this method returns null, do not call it again: the results are undefined.

  Returns:
    the next `BytesRef` in the iterator or `null` if the end of the iterator is reached.
  Throws:
    `IOException` - If there is a low-level I/O error.

### term

    public BytesRef term()
                  throws IOException

  Description copied from class: `TermsEnum`
  Returns current term. Do not call this when the enum is unpositioned.

  Specified by:
    `term` in class `TermsEnum`
  Throws:
    `IOException`

### ord

    public long ord()
             throws IOException

  Description copied from class: `TermsEnum`
  Returns ordinal position for current term. This is an optional method (the codec may throw `UnsupportedOperationException`). Do not call this when the enum is unpositioned.

  Specified by:
    `ord` in class `TermsEnum`
  Throws:
    `IOException`

### docFreq

    public int docFreq()
                throws IOException

  Description copied from class: `TermsEnum`
  Returns the number of documents containing the current term. Do not call this when the enum is unpositioned. `TermsEnum.SeekStatus.END`.

  Specified by:
    `docFreq` in class `TermsEnum`
  Throws:
    `IOException`

### totalTermFreq

    public long totalTermFreq()
                       throws IOException

  Description copied from class: `TermsEnum`
  Returns the total number of occurrences of this term across all documents (the sum of the freq() for each doc that has this term). This will be -1 if the codec doesn't support this measure. Note that, like other term measures, this measure does not take deleted documents into account.

  Specified by:
    `totalTermFreq` in class `TermsEnum`
  Throws:
    `IOException`

### docs

    public DocsEnum docs(Bits liveDocs,
                         DocsEnum reuse,
                         int flags)
                  throws IOException

  Description copied from class: `TermsEnum`
  Get `DocsEnum` for the current term, with control over whether freqs are required. Do not call this when the enum is unpositioned. This method will not return null.

  Specified by:
    `docs` in class `TermsEnum`
  Parameters:
    `liveDocs` - unset bits are documents that should not be returned
    `reuse` - pass a prior DocsEnum for possible reuse
    `flags` - specifies which optional per-document values you require; see `DocsEnum.FLAG_FREQS`
  Throws:
    `IOException`
  See Also:
    `TermsEnum.docs(Bits, DocsEnum, int)`

### docsAndPositions

    public DocsAndPositionsEnum docsAndPositions(Bits liveDocs,
                                                 DocsAndPositionsEnum reuse,
                                                 int flags)
                                          throws IOException

  Description copied from class: `TermsEnum`
  Get `DocsAndPositionsEnum` for the current term, with control over whether offsets and payloads are required. Some codecs may be able to optimize their implementation when offsets and/or payloads are not required. Do not call this when the enum is unpositioned. This will return null if positions were not indexed.

  Specified by:
    `docsAndPositions` in class `TermsEnum`
  Parameters:
    `liveDocs` - unset bits are documents that should not be returned
    `reuse` - pass a prior DocsAndPositionsEnum for possible reuse
    `flags` - specifies which optional per-position values you require; see `DocsAndPositionsEnum.FLAG_OFFSETS` and `DocsAndPositionsEnum.FLAG_PAYLOADS`.
  Throws:
    `IOException`

### getComparator

    public Comparator<BytesRef> getComparator()

  Description copied from interface: `BytesRefIterator`
  Return the `BytesRef` Comparator used to sort terms provided by the iterator. This may return null if there are no items or the iterator is not sorted. Callers may invoke this method many times, so it's best to cache a single instance & reuse it.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.